cancel
Showing results for 
Search instead for 
Did you mean: 
Atsuko
Level 2

Warning "require TLS1.2"

I have NET framework 4.5.2 installed but still get warning "requires TLS 1.2" when I open QuickBooks.

My system is Windows10 and IE11. I am administrator and tried to open QuickBooks as admin (with right click) but it dose not work.

Solved
Best answer March 24, 2021

Best Answers
Rubielyn_J
QuickBooks Team

Warning "require TLS1.2"

Let me help you get rid of the TLS 1.2 error and get you back on track, @Atsuko.

  

To open QuickBooks without getting the error, let's perform the following steps: 

 

  1. Open IE 11.0.21 (KB4074736).
  2. Go to the Settings and choose Internet Options.
  3. Click Advanced and select Security.
  4. Uncheck TLS 1.0, 1.1, and ensure that TLS 1.2 has a checkmark.

 

I've also added this link to learn more about TLS 1.2: TLS 1.2 for QuickBooks Desktop for Windows.

 

Just in case you need help in troubleshooting QuickBooks Desktop and Internet Explorer, take time to read this article: Verify and Troubleshoot QuickBooks Desktop and Internet Explorer settings.

 

Let me know how it goes in the comment section. I'll be here to keep helping. Have a wonderful day.

View solution in original post

Catherine_B
QuickBooks Team

Warning "require TLS1.2"

Thanks for performing the steps my colleague provided, Atsuko.

 

You may need to run QuickBooks as an administrator, which establishes correct Internet security settings. Here's how: 

 

  1. Close QuickBooks.
  2. Right-click the QuickBooks icon.
  3. Select Run as Administrator.

If you get the same result, you can reach out to our Phone Support Team who has the tools to further check your account. They can identify the root cause of why you're still prompted with the warning. 

 

Here's how: 

 

  1. Click Help from the menu and select QuickBooks Desktop Help.
  2. Select Contact Us.
  3. Enter a  brief description of something about getting the required TLS 1.2 warning.
  4. Click Let's talk or Continue and select the best way you'll want to connect with us.

Alternatively, you can use this link to contact us outside the system: https://quickbooks.intuit.com/learn-support/en-us/contact.

 

Feel free to use this link on how to update to enable TLS 1.1 and TLS 1.2 as default secure protocols in WinHTTP in Windows.

 

Let me know how this works. Take care and have a great day!

View solution in original post

4 Comments 4
Rubielyn_J
QuickBooks Team

Warning "require TLS1.2"

Let me help you get rid of the TLS 1.2 error and get you back on track, @Atsuko.

  

To open QuickBooks without getting the error, let's perform the following steps: 

 

  1. Open IE 11.0.21 (KB4074736).
  2. Go to the Settings and choose Internet Options.
  3. Click Advanced and select Security.
  4. Uncheck TLS 1.0, 1.1, and ensure that TLS 1.2 has a checkmark.

 

I've also added this link to learn more about TLS 1.2: TLS 1.2 for QuickBooks Desktop for Windows.

 

Just in case you need help in troubleshooting QuickBooks Desktop and Internet Explorer, take time to read this article: Verify and Troubleshoot QuickBooks Desktop and Internet Explorer settings.

 

Let me know how it goes in the comment section. I'll be here to keep helping. Have a wonderful day.

View solution in original post

Atsuko
Level 2

Warning "require TLS1.2"

Thank you. I have tried steps you mentioned.  I also did Explorer setting. However I still get same warning.

Catherine_B
QuickBooks Team

Warning "require TLS1.2"

Thanks for performing the steps my colleague provided, Atsuko.

 

You may need to run QuickBooks as an administrator, which establishes correct Internet security settings. Here's how: 

 

  1. Close QuickBooks.
  2. Right-click the QuickBooks icon.
  3. Select Run as Administrator.

If you get the same result, you can reach out to our Phone Support Team who has the tools to further check your account. They can identify the root cause of why you're still prompted with the warning. 

 

Here's how: 

 

  1. Click Help from the menu and select QuickBooks Desktop Help.
  2. Select Contact Us.
  3. Enter a  brief description of something about getting the required TLS 1.2 warning.
  4. Click Let's talk or Continue and select the best way you'll want to connect with us.

Alternatively, you can use this link to contact us outside the system: https://quickbooks.intuit.com/learn-support/en-us/contact.

 

Feel free to use this link on how to update to enable TLS 1.1 and TLS 1.2 as default secure protocols in WinHTTP in Windows.

 

Let me know how this works. Take care and have a great day!

View solution in original post

Atsuko
Level 2

Warning "require TLS1.2"

Thank you.

Run as administrator did not open QuickBooks previously on my Windows 10 Home. But I found the way to run as administrator. Now I don't have warning. 

Need to get in touch?

Contact us
Sign in for the best experience
Ask questions, get answers, and join our large community of QuickBooks users.
Sign In / Sign Up